/****************************************************************************************
    Copyright 2004 uja
    Copyright 2004 Trolltech (Qt3)

    This file is part of Fleur which runs under GPL
*****************************************************************************************/

// Headerfile fuer Objekt window: window.h
// erstellt ein zweigeteiltes Fenster, links Grafikausgabe, rechts Eingabeparameter und Anzeigen
// Klamotten wie Help, Neu  Load und Save werden von QApplication in main.cpp erledigt
// ----------------------------------------------------------------------------------------------

#ifndef WINDOW_H
#define WINDOW_H

#include "config.h"
#include "gamelib.h"
#include <qvbox.h>        // Anzeige-Unterteilung
#include <qhbox.h>        // Basis dieses Windows
#include <qgrid.h>        // Unterteilungsgitter
#include <qlabel.h>       // Anzeigen
#include <qapplication.h>

class window:public QHBox
{
  Q_OBJECT

  public:
  window(QWidget* parent=0, char* name=0);

  QLabel*   p_level;    // setzen
  QLabel*   p_leben;
  QLabel*   p_zeit;
  QLabel*   p_punkte;
  QLabel*   p_pfeile;
  QLabel* p_vorrat0;
  QLabel* p_vorrat1;
  QLabel* p_vorrat2;
  QLabel* p_vorrat3;
  QLabel* p_vorrat4;
  
  viewport* my_view;
  viewport* my_view2;
     
  public slots:
  void set_punkte(int);
  void set_zeit(int);
  void set_level(QString);
};

#endif 
